Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1CommandLocationAttachmentAdd

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1CommandLocationAttachmentAdd

Record Components:
  `fieldLocationId` - The location ID.
  `fieldFileId` - The file ID.
  `fieldRelation` - The attachment relation.

All Implemented Interfaces:
  `ProtocolCAIType`, `ProtocolCAIv1Type`, `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record CAI1CommandLocationAttachmentAdd(com.io7m.cedarbridge.runtime.api.CBUUID fieldLocationId, com.io7m.cedarbridge.runtime.api.CBUUID fieldFileId, com.io7m.cedarbridge.runtime.api.CBString fieldRelation) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolCAIv1Type
Add location attachments.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1CommandLocationAttachmentAdd(com.io7m.cedarbridge.runtime.api.CBUUID fieldLocationId, com.io7m.cedarbridge.runtime.api.CBUUID fieldFileId, com.io7m.cedarbridge.runtime.api.CBString fieldRelation)`
  Creates an instance of a `CAI1CommandLocationAttachmentAdd` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1CommandLocationAttachmentAdd`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1CommandLocationAttachmentAdd.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBUUID`
  `fieldFileId()`
  Returns the value of the `fieldFileId` record component.
  `com.io7m.cedarbridge.runtime.api.CBUUID`
  `fieldLocationId()`
  Returns the value of the `fieldLocationId` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldRelation()`
  Returns the value of the `fieldRelation` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1CommandLocationAttachmentAdd $x)`
  Serialize a value of type CAI1CommandLocationAttachmentAdd.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1CommandLocationAttachmentAdd

    public CAI1CommandLocationAttachmentAdd(com.io7m.cedarbridge.runtime.api.CBUUID fieldLocationId, com.io7m.cedarbridge.runtime.api.CBUUID fieldFileId, com.io7m.cedarbridge.runtime.api.CBString fieldRelation)
    Creates an instance of a `CAI1CommandLocationAttachmentAdd` record class.
    Parameters:
      `fieldLocationId` - the value for the `fieldLocationId` record component
      `fieldFileId` - the value for the `fieldFileId` record component
      `fieldRelation` - the value for the `fieldRelation` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1CommandLocationAttachmentAdd $x) throws IOException
    Serialize a value of type CAI1CommandLocationAttachmentAdd.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1CommandLocationAttachmentAdd deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1CommandLocationAttachmentAdd.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1CommandLocationAttachmentAdd.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldLocationId

    public com.io7m.cedarbridge.runtime.api.CBUUID fieldLocationId()
    Returns the value of the `fieldLocationId` record component.
    Returns:
      the value of the `fieldLocationId` record component

  - ### fieldFileId

    public com.io7m.cedarbridge.runtime.api.CBUUID fieldFileId()
    Returns the value of the `fieldFileId` record component.
    Returns:
      the value of the `fieldFileId` record component

  - ### fieldRelation

    public com.io7m.cedarbridge.runtime.api.CBString fieldRelation()
    Returns the value of the `fieldRelation` record component.
    Returns:
      the value of the `fieldRelation` record component